IOT System: QuickDraw Game

Create a game replicating elements of a cowboy quickdraw game using:
- Esp32 
- Platform IO (VS Code)
- MQTT connection 
- Node-red graphical interface.

Prerequisites:

- Have Node-red installed locally into your device.
- Have the Platform IO extension installed with all of the dependencies on VS Code.
- Create a new project on Platform IO with a ESP32 Devkit1 board and Arduino framework.
- Have all wiring and device components to build the project (All components are listed below).

Project Components:

- 1 ESP32 (the exact model used in this project was the ESP32s. You may modify the project to support other models)
- 1large breadboard
- 1 led of any color
- 2 220 ohm resistors
- 3 pushbuttons
- 1 piezo buzzer
- 11-12 wires 

How to run the script

First, copy and paste the code into your newly created project file and download the dependencies to support wifi on the Platform IO library.

Next, modify all of the pin numbers and wifi information to correspond with your personal setup.

Access your Node-Red, copy and paste the flow provided, into your own flow. Configure the node settings to connect to your network information that you chose in the code.

Finally, build the design on your breadboard and run the code. To access the graphical interface, type in: http://localhost:1880/ui into your browser. 

Project Created by: Alexes Pagan 